package
{
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.geom.Point;
	import flash.ui.Mouse;
	
	import org.flixel.*;
	import org.flixel.FlxSprite;
	import org.flixel.FlxState;
	import org.flixel.FlxU;
	
	public class StartState extends FlxState
	{
		[Embed(source = "data/music.mp3")] public static var ImgMusic:Class;
		[Embed(source = "data/blip.mp3")] public static var SndBlip:Class;
		[Embed(source = "data/blip2.mp3")] public static var SndBlip2:Class;
	
		override public function create() : void
		{
			FlxG.playMusic(ImgMusic);
			var text:FlxText;
			text = new FlxText(0,FlxG.height*1/4,FlxG.width,"A history of democracy in Ireland.");
			text.size=16;
			text.color=0xffffffff;
			text.alignment ="center";
			this.add(text);
			text = new FlxText(0,FlxG.height*3/4,FlxG.width,"Press Space to start");
			text.size=16;
			text.color=0xffffffff;
			text.alignment ="center";
			this.add(text);
		}

		override public function update():void
		{
			if (FlxG.keys.justPressed("SPACE"))
			{
				FlxG.state = new TitleState();
				FlxG.play(SndBlip).survive=true;
			}
	
			super.update();
		}	
	}
}